SSL warnings

Please use this forum to post feedback and suggestions related to QCAD.

Moderator: andrew

Post Reply
davorin
Junior Member
Posts: 11
Joined: Tue Jul 03, 2018 9:13 am

SSL warnings

Post by davorin » Mon Jul 16, 2018 10:42 am

EHLO (o;

Starting QCAD 3.21.2.1 on Debian 9 from console shows:

Code: Select all

Warning:  QSslSocket: cannot resolve CRYPTO_num_locks
Warning:  QSslSocket: cannot resolve CRYPTO_set_id_callback
Warning:  QSslSocket: cannot resolve CRYPTO_set_locking_callback
Warning:  QSslSocket: cannot resolve ERR_free_strings
Warning:  QSslSocket: cannot resolve EVP_CIPHER_CTX_cleanup
Warning:  QSslSocket: cannot resolve EVP_CIPHER_CTX_init
Warning:  QSslSocket: cannot resolve sk_new_null
Warning:  QSslSocket: cannot resolve sk_push
Warning:  QSslSocket: cannot resolve sk_free
Warning:  QSslSocket: cannot resolve sk_num
Warning:  QSslSocket: cannot resolve sk_pop_free
Warning:  QSslSocket: cannot resolve sk_value
Warning:  QSslSocket: cannot resolve SSL_library_init
Warning:  QSslSocket: cannot resolve SSL_load_error_strings
Warning:  QSslSocket: cannot resolve SSL_get_ex_new_index
Warning:  QSslSocket: cannot resolve SSLv2_client_method
Warning:  QSslSocket: cannot resolve SSLv3_client_method
Warning:  QSslSocket: cannot resolve SSLv23_client_method
Warning:  QSslSocket: cannot resolve SSLv2_server_method
Warning:  QSslSocket: cannot resolve SSLv3_server_method
Warning:  QSslSocket: cannot resolve SSLv23_server_method
Warning:  QSslSocket: cannot resolve X509_STORE_CTX_get_chain
Warning:  QSslSocket: cannot resolve OPENSSL_add_all_algorithms_noconf
Warning:  QSslSocket: cannot resolve OPENSSL_add_all_algorithms_conf
Warning:  QSslSocket: cannot resolve SSLeay
Warning:  QSslSocket: cannot resolve SSLeay_version
Warning:  QSslSocket: cannot call unresolved function CRYPTO_num_locks
Warning:  QSslSocket: cannot call unresolved function CRYPTO_set_id_callback
Warning:  QSslSocket: cannot call unresolved function CRYPTO_set_locking_callback
Warning:  QSslSocket: cannot call unresolved function SSL_library_init
Warning:  QSslSocket: cannot call unresolved function SSLv23_client_method
Warning:  QSslSocket: cannot call unresolved function sk_num
And this fails always:

Code: Select all

11:39:31: Debug:    Cannot download  "http://www.qcad.org/qcad/version/3_21_2_1_som_random_characters.html" :  "Error transferring http://www.qcad.org/qcad/version/3_21_2_1_cohb5ophoox5xahc.html - server replied: Not Found"
This seems to be the update check...but the file is never foun don the server...

Which SSL lib is required by Qt?

User avatar
andrew
Site Admin
Posts: 6873
Joined: Fri Mar 30, 2007 6:07 am

Re: SSL warnings

Post by andrew » Mon Jul 16, 2018 11:15 am

davorin wrote:
Mon Jul 16, 2018 10:42 am
Starting QCAD 3.21.2.1 on Debian 9 from console shows:
You are using a snapshot or self-compiled version of QCAD. Update checks are only supported for releases (e.g. 3.21.2 or 3.21.2.0).

I don't think the SSL stuff matters, as we use http for the check (for exactly the reason that SSL is not straight forward under Linux systems).

davorin
Junior Member
Posts: 11
Joined: Tue Jul 03, 2018 9:13 am

Re: SSL warnings

Post by davorin » Mon Jul 16, 2018 11:21 am

Odd...this is the version I downloaded from the link in the email after buying...

The trial versions always succeeded in update checks...

User avatar
andrew
Site Admin
Posts: 6873
Joined: Fri Mar 30, 2007 6:07 am

Re: SSL warnings

Post by andrew » Mon Jul 16, 2018 11:29 am

Yes, you are right. The current Linux version had to be re-deployed into 3.21.2.1. I've added version checks for this version. Sorry about that.

davorin
Junior Member
Posts: 11
Joined: Tue Jul 03, 2018 9:13 am

Re: SSL warnings

Post by davorin » Mon Jul 16, 2018 11:33 am

Hello Andrew

Thanks for the quick answer and resolution ;-)

en guete ;-)
richard

User avatar
andrew
Site Admin
Posts: 6873
Joined: Fri Mar 30, 2007 6:07 am

Re: SSL warnings

Post by andrew » Mon Jul 16, 2018 11:38 am

davorin wrote:
Mon Jul 16, 2018 11:33 am
en guete ;-)
richard
Dankä, dir au!
Andrew

oldStrogg
Registered Member
Posts: 1
Joined: Wed May 13, 2020 8:40 am

Re: SSL warnings

Post by oldStrogg » Wed May 13, 2020 10:00 am

Ubuntu 20.04 LTS 64bit
QCAD version 3.24.3 (qcad-3.24.3-pro-linux-x86_64.run)

Code: Select all

Warning:  QSslSocket: cannot resolve CRYPTO_num_locks
Warning:  QSslSocket: cannot resolve CRYPTO_set_id_callback
Warning:  QSslSocket: cannot resolve CRYPTO_set_locking_callback
Warning:  QSslSocket: cannot resolve ERR_free_strings
Warning:  QSslSocket: cannot resolve EVP_CIPHER_CTX_cleanup
Warning:  QSslSocket: cannot resolve EVP_CIPHER_CTX_init
Warning:  QSslSocket: cannot resolve sk_new_null
Warning:  QSslSocket: cannot resolve sk_push
Warning:  QSslSocket: cannot resolve sk_free
Warning:  QSslSocket: cannot resolve sk_num
Warning:  QSslSocket: cannot resolve sk_pop_free
Warning:  QSslSocket: cannot resolve sk_value
Warning:  QSslSocket: cannot resolve SSL_library_init
Warning:  QSslSocket: cannot resolve SSL_load_error_strings
Warning:  QSslSocket: cannot resolve SSL_get_ex_new_index
Warning:  QSslSocket: cannot resolve SSLv2_client_method
Warning:  QSslSocket: cannot resolve SSLv3_client_method
Warning:  QSslSocket: cannot resolve SSLv23_client_method
Warning:  QSslSocket: cannot resolve SSLv2_server_method
Warning:  QSslSocket: cannot resolve SSLv3_server_method
Warning:  QSslSocket: cannot resolve SSLv23_server_method
Warning:  QSslSocket: cannot resolve X509_STORE_CTX_get_chain
Warning:  QSslSocket: cannot resolve OPENSSL_add_all_algorithms_noconf
Warning:  QSslSocket: cannot resolve OPENSSL_add_all_algorithms_conf
Warning:  QSslSocket: cannot resolve SSLeay
Warning:  QSslSocket: cannot resolve SSLeay_version
Warning:  QSslSocket: cannot call unresolved function CRYPTO_num_locks
Warning:  QSslSocket: cannot call unresolved function CRYPTO_set_id_callback
Warning:  QSslSocket: cannot call unresolved function CRYPTO_set_locking_callback
Warning:  QSslSocket: cannot call unresolved function SSL_library_init
Warning:  QSslSocket: cannot call unresolved function SSLv23_client_method
Warning:  QSslSocket: cannot call unresolved function sk_num
sudo apt install openssl
openssl is already the newest version (1.1.1f-1ubuntu2).

Qcad start OK. But...

Post Reply

Return to “QCAD Suggestions and Feedback”